int mReed = 2;  // 리드 스위치 핀
int R = 5;  // 빨간색 LED핀 
int G = 6;  // 초록색 LED핀
int B = 7;  // 파란색 LED핀

void setup(){  // 초기화
pinMode(R, OUTPUT);  // 빨간색 LED 출력 설정
  pinMode(G, OUTPUT);  // 초록색 LED 출력 설정
  pinMode(B, OUTPUT);  // 파란색 LED 출력 설정
  pinMode(mReed, INPUT_PULLUP);  // 리드 스위치 풀업 입력 설정
}

/* 자석을 가까이 하면 LED의 색상을 변화한다. */
void loop(){  // 무한루프
  if (digitalRead(mReed) == LOW){  // 센서가 감지되면
    digitalWrite(R, LOW); digitalWrite(G, HIGH); digitalWrite(B, LOW);
    // 빨간 LED OFF, 초록 LED ON, 파란 LED OFF
  }
  else{  // 센서가 감지되지 않으면
    digitalWrite(R, LOW);digitalWrite(G, LOW);digitalWrite(B, HIGH);      
// 빨간 LED OFF, 초록 LED OFF, 파란 LED ON
  }
}
